Change a lost or found report
status listed puts it on the board; pending takes it off; reunited or closed closes it. Needs write on Animals.
PATCH
https://{organization}.rescueconsole.com
/
api
/
lost-found
/
{id}
Change a lost or found report
curl --request PATCH \
--url https://{organization}.rescueconsole.com/api/lost-found/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"matched_animal_id": "<string>",
"close_note": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({matched_animal_id: '<string>', close_note: '<string>'})
};
fetch('https://{organization}.rescueconsole.com/api/lost-found/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/lost-found/{id}"
payload = {
"matched_animal_id": "<string>",
"close_note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"report": {
"id": "<string>",
"kind": "lost",
"species": "<string>",
"area": "<string>",
"happened_on": "2023-12-25",
"reporter": {
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"status": "pending",
"pet_name": "<string>",
"breed": "<string>",
"colors": "<string>",
"sex": "male",
"description": "<string>",
"zip": "<string>",
"has_photo": true,
"listed_at": "2023-11-07T05:31:56Z",
"matched_animal_id": "<string>",
"reviewed_by_person_id": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z",
"close_note": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Body
application/json
⌘I
Change a lost or found report
curl --request PATCH \
--url https://{organization}.rescueconsole.com/api/lost-found/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"matched_animal_id": "<string>",
"close_note": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({matched_animal_id: '<string>', close_note: '<string>'})
};
fetch('https://{organization}.rescueconsole.com/api/lost-found/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/lost-found/{id}"
payload = {
"matched_animal_id": "<string>",
"close_note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"report": {
"id": "<string>",
"kind": "lost",
"species": "<string>",
"area": "<string>",
"happened_on": "2023-12-25",
"reporter": {
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"status": "pending",
"pet_name": "<string>",
"breed": "<string>",
"colors": "<string>",
"sex": "male",
"description": "<string>",
"zip": "<string>",
"has_photo": true,
"listed_at": "2023-11-07T05:31:56Z",
"matched_animal_id": "<string>",
"reviewed_by_person_id": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z",
"close_note": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
